Package org.wildfly.plugin.provision

## Class ProvisionServerMojo

- java.lang.Object
- - org.apache.maven.plugin.AbstractMojo
  - - org.wildfly.plugin.provision.ProvisionServerMojo

- All Implemented Interfaces:
    `org.apache.maven.plugin.ContextEnabled`, `org.apache.maven.plugin.Mojo`

      @Mojo(name="provision",
            requiresDependencyResolution=COMPILE_PLUS_RUNTIME,
            defaultPhase=PACKAGE)
      public class ProvisionServerMojo
      extends org.apache.maven.plugin.AbstractMojo

  Provision a server.
  Since:
    3.0
  Author:
    jfdenise

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected org.jboss.galleon.universe.maven.repo.MavenRepoManager` | `artifactResolver` |
    `protected String` | `provisioningDir` | The path to the directory where to provision the server.

    - ### Fields inherited from interface org.apache.maven.plugin.Mojo

      `ROLE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ProvisionServerMojo()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected org.jboss.galleon.api.config.GalleonProvisioningConfig` | `buildGalleonConfig​(org.jboss.galleon.api.GalleonBuilder galleonBuilder)` |
    `protected void` | `enrichRepositories()` |
    `void` | `execute()` |
    `protected org.jboss.galleon.api.config.GalleonProvisioningConfig` | `getDefaultConfig()` |
    `protected String` | `getGoal()` |
    `protected void` | `serverProvisioned​(Path jbossHome)` |

    - ### Methods inherited from class org.apache.maven.plugin.AbstractMojo

      `getLog, getPluginContext, setLog, setPluginContext`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### provisioningDir

          @Parameter(alias="provisioning-dir",
                     property="wildfly.provisioning.dir",
                     defaultValue="server")
          protected String provisioningDir

      The path to the directory where to provision the server. Can be an absolute path or a path relative to the buildDir. By default the server is provisioned into the `target/server` directory.

    - #### artifactResolver

          protected org.jboss.galleon.universe.maven.repo.MavenRepoManager artifactResolver

  - ### Constructor Detail

    - #### ProvisionServerMojo

          public ProvisionServerMojo()

  - ### Method Detail

    - #### getGoal

          protected String getGoal()

    - #### serverProvisioned

          protected void serverProvisioned​(Path jbossHome)
                                    throws org.apache.maven.plugin.MojoExecutionException,
                                           org.apache.maven.plugin.MojoFailureException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `org.apache.maven.plugin.MojoFailureException`

    - #### execute

          public void execute()
                       throws org.apache.maven.plugin.MojoExecutionException,
                              org.apache.maven.plugin.MojoFailureException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `org.apache.maven.plugin.MojoFailureException`

    - #### enrichRepositories

          protected void enrichRepositories()
                                     throws org.apache.maven.plugin.MojoExecutionException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`

    - #### buildGalleonConfig

          protected org.jboss.galleon.api.config.GalleonProvisioningConfig buildGalleonConfig​(org.jboss.galleon.api.GalleonBuilder galleonBuilder)
                                                                                       throws org.apache.maven.plugin.MojoExecutionException,
                                                                                              org.jboss.galleon.ProvisioningException

      Throws:
        `org.apache.maven.plugin.MojoExecutionException`
        `org.jboss.galleon.ProvisioningException`

    - #### getDefaultConfig

          protected org.jboss.galleon.api.config.GalleonProvisioningConfig getDefaultConfig()
                                                                                     throws org.jboss.galleon.ProvisioningException

      Throws:
        `org.jboss.galleon.ProvisioningException`